package org.jvcode.osgi.consumer;

import org.jvcode.osgi.provider.HelloWorldService;
import org.osgi.framework.BundleActivator;
import org.osgi.framework.BundleContext;
import org.osgi.framework.ServiceReference;

/**
 * Activator for the HelloWorldConsumer bundle.
 * Calls the HelloWorldService of the HelloWorldProvider bundle.
 *
 * @author Jochen Vajda
 */
public class Activator implements BundleActivator
{
    public void start(BundleContext bundleContext) throws Exception
    {
        System.out.println("HelloWorldConsumer bundle is being started...");
        System.out.println("Getting reference of HelloWorld Service...");
        ServiceReference reference = bundleContext.getServiceReference(HelloWorldService.class.getName());
        HelloWorldService helloWorldService = ((HelloWorldService) bundleContext.getService(reference));
        helloWorldService.helloWorld();
    }

    public void stop(BundleContext bundleContext) throws Exception
    {
        System.out.println("HelloWorldConsumer is being stopped...");
    }
}
